export const getBaseUrl = async () => {
  const port = await window.audio.getPort();
  if (port.error || !port.port) {
    return `http://localhost:5010`;
  }
  // You can store the base URL in localStorage, a config file, or state
  return `http://localhost:${port.port}`;
};

export async function apiFetch(endpoint: string, options = {}) {
  const url = `${await getBaseUrl()}/${endpoint}`;
  return fetch(url, options);
}
